%define with_python3 1
%define module pyaudio

Name:       python-%{module}
Version:    0.2.7
Release:    %mkrel 3
License:    MIT
Url:        http://people.csail.mit.edu/hubert/pyaudio/
Source0:    http://people.csail.mit.edu/hubert/pyaudio/%{module}/%{module}-%{version}.tar.gz
Group:      Development/Python
Summary:    Python bindings for PortAudio
BuildRequires:  portaudio-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms. 

%if 0%{?with_python3}
%package -n python3-%{module}
Summary:    Python bindings for PortAudio
BuildRequires:  portaudio-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{module}
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms. 

%endif # with_python3

%prep
%setup -q -n PyAudio-%{version}

# remove some pre-built binaries
rm -rf packaging

%if 0%{?with_python3}
# py3K prep
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
# py3k build
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
rm -rf %{buildroot}

%if 0%{?with_python3}
# py3k install
pushd %{py3dir}
%{__python3} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelib}/logilab/common/test
popd
%endif # with_python3

# python2
%{__python} setup.py install -O1 --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/logilab/common/test

%files
%defattr(-,root,root,-)
%doc README CHANGELOG docs
%{python_sitearch}/*.py*
%{python_sitearch}/*.so
%{python_sitearch}/*egg-info

%if 0%{?with_python3}
%files -n python3-%{module}
%doc README CHANGELOG docs
%{python3_sitearch}/*
%endif # with_python3



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.2.7-3.mga4
+ Revision: 543967
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.7-2.mga4
+ Revision: 499141
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 0.2.7-1.mga4
+ Revision: 490565
- new version 0.2.7
- add python3 packages

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 379291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 24 2011 grenoya <grenoya> 0.2.4-1.mga1
+ Revision: 90100
- imported package python-pyaudio

